xrandr detects too many displays

Bug #1156310 reported by Charles Profitt on 2013-03-17
72
This bug affects 12 people
Affects Status Importance Assigned to Milestone
libxrandr (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
linux (Ubuntu)
Medium
Tim Gardner
Raring
Medium
Tim Gardner
xserver-xorg-video-intel (Ubuntu)
Undecided
Ubuntu Kernel Team
Raring
Undecided
Ubuntu Kernel Team

Bug Description

Linux Tardis-T500 3.8.0-13-generic #22-Ubuntu SMP Fri Mar 15 17:49:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Updated raring on March 16th. After update xrandr is detecting a non-existant VGA display on T500 laptop.

---- expected behavior ----
On boot lightdm would display login page at native resolution for laptop monitor 1680x105
xrandr would detect only LVDS1.

---- actual behavior ----
lightdm displays at lower resolution 1024x768
xrandr detects LVDS1 and VGA1 displays

---- xrandr output ----
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 32767 x 32767
LVDS1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050 60.0*+ 60.0 59.9 50.0
   1600x1024 60.2
   1400x1050 60.0
   1280x1024 60.0
   1440x900 59.9
   1280x960 60.0
   1360x768 59.8 60.0
   1152x864 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 connected (normal left inverted right x axis y axis)
   1024x768 60.0
   800x600 60.3 56.2
   848x480 60.0
   640x480 59.9
DP1 disconnected (normal left inverted right x axis y axis)

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: xserver-xorg-video-intel 2:2.21.4-0ubuntu1b1
ProcVersionSignature: Ubuntu 3.8.0-13.22-generic 3.8.3
Uname: Linux 3.8.0-13-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.9.1-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Sun Mar 17 15:20:00 2013
DistUpgraded: Fresh install
DistroCodename: raring
DistroVariant: ubuntu
DkmsStatus:
 vboxhost, 4.2.10, 3.8.0-13-generic, x86_64: installed
 vboxhost, 4.2.10, 3.8.0-6-generic, x86_64: installed
DpkgLog:

ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:2114]
   Subsystem: Lenovo Device [17aa:2114]
InstallationDate: Installed on 2013-01-13 (63 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130111)
MachineType: LENOVO 2081CTO
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-13-generic root=UUID=860735d2-7dc0-4a91-a04e-67b5d5bbdc40 ro quiet splash vt.handoff=7
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/14/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 6FET92WW (3.22 )
dmi.board.name: 2081CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6FET92WW(3.22):bd12/14/2011:svnLENOVO:pn2081CTO:pvrThinkPadT500:rvnLENOVO:rn2081CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2081CTO
dmi.product.version: ThinkPad T500
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.9~daily13.03.08-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.42-0ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0.3-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0.3-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.3-0ubuntu2b1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2b2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.1.0-0ubuntu1b1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.4-0ubuntu1b1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.6-0ubuntu3b1
xserver.bootTime: Sun Mar 17 15:00:04 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.13.3-0ubuntu2b1
xserver.video_driver: intel

Related branches

CVE References

Charles Profitt (cprofitt) wrote :
Charles Profitt (cprofitt) wrote :

Here is the output from sudo lshw -c video

  *-display:0
       description: VGA compatible controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 07
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:47 memory:f4400000-f47fffff memory:d0000000-dfffffff ioport:1800(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 07
       width: 64 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list
       configuration: latency=0
       resources: memory:f4200000-f42fffff

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Chris Wilson (ickle) wrote :

Can you please append drm.debug=6 to you kernel command line (using grub) and attach the dmesg after booting up with the ghost output? Also can you please forward this bug to bugs.freedesktop.org, Product Xorg, Component Driver/Intel?

Alex Bachmeier (cebalrai) wrote :

I can confirm this on multiple desktop machines, fully updated raring installs. All have Intel Graphics. I will grab a dmesg in a minute.

Alex Bachmeier (cebalrai) wrote :

I'm nut sure if I'm looking at exactly the same bug, since in my case the displays stay black, no output what so ever.
The displays are all connected to the digital output.
I'm including the dmesg of one of my machines with drm debug.

Loïc Minier (lool) on 2013-03-18
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
assignee: nobody → Ubuntu Kernel Team (ubuntu-kernel-team)
Timo Aaltonen (tjaalton) wrote :

if you have a 64bit installation, please try the kernel from http://people.canonical.com/~tjaalton/lp1156310
install both deb's.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: High → Undecided
status: Confirmed → Incomplete
Tim Gardner (timg-tpi) wrote :

Upstream suggests a couple of reverts: https://lkml.org/lkml/2013/3/18/180

Changed in linux (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Invalid
milestone: ubuntu-13.04-beta-2 → none
Tim Gardner (timg-tpi) on 2013-03-18
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Till Kamppeter (till-kamppeter) wrote :

Kernel from comment #7 works for me.

Abhisek Mukherjee (abhisek) wrote :

sudo lshw -c video
  *-display:0
       description: VGA compatible controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:44 memory:f4000000-f43fffff memory:d0000000-dfffffff ioport:1800(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: Mobile 4 Series Chipset Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list
       configuration: latency=0
       resources: memory:f4400000-f44fffff

Joseph Salisbury (jsalisbury) wrote :

I created a test kernel using the raring master-next branch. It would be great if you could test this kernel to confirm it resolves this bug. The kernel can be downloaded from:

http://people.canonical.com/~jsalisbury/lp1156548/

I have reported the same symptoms earlier with an Intel Core i5 PC running Quantal, bug 1029865. I have installed the kernel from comment #7 also there and booted it, but that machine still shows the ghost VGA display and due to that comes up with a 1024x768 login screen. I have checked with "uname -a" that the fixed kernel is actually running.

Is the fixed kernel not applicable to Quantal? Are more components of Raring needed (like X.org)? If so, I would try an upgrade to Raring.

The xrandr output is as follows:

----------
till@till:~$ xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
VGA1 connected (normal left inverted right x axis y axis)
   1024x768 60.0
   800x600 60.3 56.2
   848x480 60.0
   640x480 59.9
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080 60.0*+
   1680x1050 59.9
   1280x1024 60.0
   1280x960 60.0
   1280x720 60.0
   1024x768 60.0
   800x600 60.3
   720x576 50.0
   720x480 59.9
   640x480 60.0 59.9
   720x400 70.1
DP1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
till@till:~$
----------

Abhisek Mukherjee (abhisek) wrote :

I am currently testing the test fixed kernel. Will provide feedback shortly

I have tested your test kernel from comment #11 on both machines now and get exactly the same results as with the kernel from comment #7. On the laptop (bug 1156548) the problem is solved by both kernels and on the PC (bug 1029865) the problem is not solved by both kernels.

Timo Aaltonen (tjaalton) wrote :

Till: this bug is about raring, not quantal. And if you have issues on raring with the kernel from #11, file a new bug.

Loïc Minier (lool) wrote :

As mentioned on IRC, kernel from comment #7 fixes it for me on raring with Intel Graphics Media Accelerator 4500MHD; xrandr output now correct and unconfused fb0, lightdm and desktop.

Now I have upgraded the PC to Raring now and there the problem still persists. According to "uname -a" I am using the kernel 3.8.0-13-generic #23~lp1156548v1. I hope this is a kernel intended for Raring (Quantal has 3.5.x kernels).

Charles Profitt (cprofitt) wrote :

dmesg as requested with updated kernel command line.

Charles Profitt (cprofitt) wrote :

Kernels from comment #11 did not resolve the issue. Unless I failed to install something correctly.

uname -a
Linux Tardis-T500 3.8.0-13-generic #23~lp1156548v1 SMP Mon Mar 18 16:37:18 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Abhisek Mukherjee (abhisek) wrote :

I agree with #14. In My Laptop with both #7 & #11 fixes the issue.

Loïc Minier (lool) wrote :

I can also confirm that the kernel from comment #11 (3.8.0-13-generic 3.8.0-13.23~lp1156548v1) fixes it for me on raring with Intel Graphics Media Accelerator 4500MHD; xrandr output now correct and unconfused fb0, lightdm and desktop.

macstevejb (macstevejb) wrote :

any kernel fix for non-64bit?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-13.23

---------------
linux (3.8.0-13.23) raring; urgency=low

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: enable irqs earlier when resuming"
    - LP: #1156310
  * Revert "drm/i915: reorder setup sequence to have irqs for output setup"
    - LP: #1156310
  * x86/apic: Remove noisy zero-mask warning from
    default_send_IPI_mask_logical()
    - LP: #1100202
  * drm/i915: Fix races in gen4 page flip interrupt handling
    - LP: #1116587
  * drm/i915: Revert hdmi HDP pin checks
    - LP: #1135668
  * signal: always clear sa_restorer on execve
    - LP: #1153813
    - CVE-2013-0914
 -- Tim Gardner <email address hidden> Mon, 18 Mar 2013 10:04:33 -0600

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Charles Profitt (cprofitt) wrote :

The update from today has resolved this issue on my laptop.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libxrandr (Ubuntu):
status: New → Confirmed
Chris Wilson (ickle) on 2013-03-20
Changed in libxrandr (Ubuntu Raring):
status: Confirmed → Invalid

I filed the duplicate Bug #1157503 yesterday, and after today's partial upgrade I can confirm that the problem is now fixed on my Toshiba Satellite A505 laptop. Thanks, guys!

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.